summaryrefslogtreecommitdiffstats
path: root/maven/projects/jocl-main
diff options
context:
space:
mode:
authorMark Raynsford <[email protected]>2014-03-11 20:54:50 +0000
committerMark Raynsford <[email protected]>2014-03-11 20:54:50 +0000
commit75322060978ed360ebf3ad355abd915e868c92a4 (patch)
tree63115d7efbcb942feee43b94424fa9ea914ad946 /maven/projects/jocl-main
parentf538477c6467f046533b3fc584566dccc768c6f5 (diff)
Massively rewrite project handling. Projects are now defined by directories of
(mostly) single-line config files (essentially a glorified directory-based key/value db). The scripts have been adjusted to work better in isolation (in particular the old copy-jars script has been split into a copy-jars-one and copy-jars script, with the latter executing the former on all projects). Bug 999: Is now fixed. Essentially a variable name was accidentally re-used, meaning the source zip file was copied over the project's main jar file. The -n option was passed to cp, but not the subsequent mv, so the overwrite occurred silently!
Diffstat (limited to 'maven/projects/jocl-main')
-rw-r--r--maven/projects/jocl-main/atomics1
-rw-r--r--maven/projects/jocl-main/dummy-jar1
-rw-r--r--maven/projects/jocl-main/natives1
-rwxr-xr-xmaven/projects/jocl-main/pom.sh67
-rw-r--r--maven/projects/jocl-main/source-zip1
5 files changed, 71 insertions, 0 deletions
diff --git a/maven/projects/jocl-main/atomics b/maven/projects/jocl-main/atomics
new file mode 100644
index 0000000..8b13789
--- /dev/null
+++ b/maven/projects/jocl-main/atomics
@@ -0,0 +1 @@
+
diff --git a/maven/projects/jocl-main/dummy-jar b/maven/projects/jocl-main/dummy-jar
new file mode 100644
index 0000000..94e337a
--- /dev/null
+++ b/maven/projects/jocl-main/dummy-jar
@@ -0,0 +1 @@
+dummy-jar
diff --git a/maven/projects/jocl-main/natives b/maven/projects/jocl-main/natives
new file mode 100644
index 0000000..ae3b2b0
--- /dev/null
+++ b/maven/projects/jocl-main/natives
@@ -0,0 +1 @@
+no-natives
diff --git a/maven/projects/jocl-main/pom.sh b/maven/projects/jocl-main/pom.sh
new file mode 100755
index 0000000..1a86428
--- /dev/null
+++ b/maven/projects/jocl-main/pom.sh
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+if [ $# -lt 2 ]
+then
+ echo "usage: version projects+" 1>&2
+ exit 1
+fi
+
+VERSION="$1"
+shift
+
+PLATFORMS=$@
+
+cat <<EOF
+<?xml version="1.0" encoding="UTF-8"?>
+<project
+ xmlns="http://maven.apache.org/POM/4.0.0"
+ xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
+ xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
+
+ <!-- -->
+ <!-- Auto generated by jocl-main.pom.sh, do not edit directly! -->
+ <!-- -->
+
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>org.jogamp.jocl</groupId>
+ <artifactId>jocl-main</artifactId>
+ <version>${VERSION}</version>
+ <packaging>jar</packaging>
+ <name>JOCL</name>
+ <description>Java™ Binding for the OpenCL® API</description>
+ <url>http://jogamp.org/jocl/www/</url>
+
+ <!-- -->
+ <!-- Explicitly depend on jocl, and all of its native binary jars. -->
+ <!-- -->
+
+ <dependencies>
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>jocl</artifactId>
+ <version>\${project.version}</version>
+ </dependency>
+
+EOF
+
+for PLATFORM in ${PLATFORMS}
+do
+ cat <<EOF
+ <dependency>
+ <groupId>\${project.groupId}</groupId>
+ <artifactId>jocl</artifactId>
+ <version>\${project.version}</version>
+ <classifier>natives-${PLATFORM}</classifier>
+ </dependency>
+EOF
+done
+
+cat <<EOF
+ </dependencies>
+
+EOF
+
+cat ../jocl/pom.in || exit 1
+cat <<EOF
+</project>
+EOF
diff --git a/maven/projects/jocl-main/source-zip b/maven/projects/jocl-main/source-zip
new file mode 100644
index 0000000..d405da9
--- /dev/null
+++ b/maven/projects/jocl-main/source-zip
@@ -0,0 +1 @@
+dummy-src